function my_figures(y,so,FPE,CVA)

%##########################################################################
%##########################################################################
% General information:
% 
% Paper:      Fully Adaptive Savitzky-Golay Type Smoothers, submited in October 2018
% 
% Authors:    Maciej Niedzwiecki, Senior Member, IEEE, and Marcin Ciolek,
%             Member, IEEE
% 
% Conference: IEEE International Conference on Acoustics, Speech, and
%             Signal Processing 2019, Brighton, UK
% 
% Both authors are from
% Gdansk University of Technology 
% Faculty of Electronics, Telecommunications and Informatics 
% Department of Automatic Control
% Poland, 80-233 Gdansk, Narutowicza 11/12 street
% 
% Author of MATALB code: Marcin Ciolek
% E-mail: marcin.ciolek@pg.edu.pl
% Date of code verification: 10.2018
% MATLAB R2017b (9.3.0.713579), License Number: 68140
%##########################################################################
%##########################################################################

figure
plot(so(143:end-142),'k','LineWidth',1.0)
axis([1 2048 -1 1])
xlabel('$t$','Interpreter','latex','FontSize',14)
ylabel('$s(t)$','Interpreter','latex','FontSize',14)
set(gca,'FontSize',14,'XTick',[1 1000 2048])
set(gca,'FontSize',14,'XTick',[])
set(gcf,'Position',[100,100,300,170])
text(50,0.8,'A','FontSize',14)

figure
plot(y(143:end-142),'k','LineWidth',1.0)
axis([1 2048 -1 1])
xlabel('$t$','Interpreter','latex','FontSize',14)
ylabel('$y(t)$','Interpreter','latex','FontSize',14)
set(gca,'FontSize',14,'XTick',[1 1000 2048])
set(gca,'FontSize',14,'XTick',[])
set(gcf,'Position',[100,100,300,170])
text(50,0.8,'B','FontSize',14)

figure
plot(FPE(143:end-142),'k')
axis([1 2048 -1 1])
xlabel('$t$','Interpreter','latex','FontSize',14)
ylabel('$\widehat{s}(t)$','Interpreter','latex','FontSize',14)
set(gca,'FontSize',14,'XTick',[1 1000 2048])
set(gcf,'Position',[100,100,300,200])
text(50,0.8,'C','FontSize',14)

figure
plot(CVA(143:end-142),'k','LineWidth',1.0)
axis([1 2048 -1 1])
xlabel('$t$','Interpreter','latex','FontSize',14)
ylabel('$\widehat{s}(t)$','Interpreter','latex','FontSize',14)
set(gca,'FontSize',14,'XTick',[1 1000 2048])
set(gcf,'Position',[100,100,300,200])
text(50,0.8,'D','FontSize',14)



end